Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util.repo
Class RepositoryURLHandlerFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.repo.RepositoryURLHandlerFactory

All Implemented Interfaces:
  java.net.URLStreamHandlerFactory

    public class RepositoryURLHandlerFactory

extends java.lang.Object
implements java.net.URLStreamHandlerFactory

Version:
  $Id: RepositoryURLHandlerFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`protected` | `RepositoryURLHandlerFactory()`

Method Summary
`static java.net.URL` | `createRepoURL(java.lang.String uri)`
`java.net.URLStreamHandler` | `createURLStreamHandler(java.lang.String protocol)`
`static RepositoryURLHandlerFactory` | `getInstance()`
`Handler` | `getRepoHandler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### RepositoryURLHandlerFactory

    protected RepositoryURLHandlerFactory()

Method Detail

### getInstance

    public static RepositoryURLHandlerFactory getInstance()

### createURLStreamHandler

    public java.net.URLStreamHandler createURLStreamHandler(java.lang.String protocol)

  Specified by:
    `createURLStreamHandler` in interface `java.net.URLStreamHandlerFactory`

### getRepoHandler

    public Handler getRepoHandler()

### createRepoURL

    public static java.net.URL createRepoURL(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.